
QGIS Application - Bug report #19641

Debian buster dependency broken

2018-08-17 08:54 AM - Benoît Vinot

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Debian buster Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27468

Description

Hi,

On the buster Debian repository, for a few days, the package "libqt5core5a" (version 5.11.1+dfsg-6) provides the virtual package

"qtbase-abi-5-11-0" but the package "qgis-providers" depends on the package "qtbase-abi-5-10-0". This difference makes that qgis

(version 1:3.2.1+15buster) can not be installed any more...

Here are the QGIS repositories I use:

deb https://qgis.org/debian buster main

deb-src https://qgis.org/debian buster main

The version of Debian I use:

uname -a

Linux mirabelle 4.17.0-1-amd64 #1 SMP Debian 4.17.8-1 (2018-07-20) x86_64 GNU/Linux

lsb_release -a

No LSB modules are available.

Distributor ID:    Debian

Description:    Debian GNU/Linux testing (buster)

Release:    testing

Codename:    buster

Thanks

Benoît

History

#1 - 2018-08-17 09:26 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

Will fix itself on the next point release - see also Note on download page

#2 - 2018-10-24 05:27 PM - Gerard OpenSideFlanker
Hi,

I have tried the proposed workaround with the nightly build in debian :

sudo apt-get update

.../...

Réception de:13 http://qgis.org/debian-nightly-release buster/main amd64 Packages [9 885 B]

But the install still fails :

sudo apt-get install qgis-providers qgis

.../...

Les paquets suivants contiennent des dépendances non satisfaites :

 qgis-providers : Dépend: qtbase-abi-5-11-0 mais il n'est pas installable

E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

I have seen that the next point is scheduled for 2018/10/26 Will the issue be resolved.

thanks

gérard

#3 - 2018-10-27 12:08 PM - Gerard OpenSideFlanker

Hello,

According to the note on download page the point release has occured but the problem is still present qgis-providers has a dependency on 

qtbase-abi-5-11-0 package which does not exist any more on buster.

I have also  checked the nightly builds that have the same problem

#4 - 2018-10-27 09:43 PM - Jürgen Fischer

Gerard OpenSideFlanker wrote:

Hello,

According to the note on download page the point release has occured but the problem is still present qgis-providers has a dependency on 

qtbase-abi-5-11-0 package which does not exist any more on buster.

I have also  checked the nightly builds that have the same problem

Check again.  The packages are not instantly available.

#5 - 2018-10-27 09:55 PM - Jürgen Fischer

Jürgen Fischer wrote:

Gerard OpenSideFlanker wrote:
Hello,

According to the note on download page the point release has occured but the problem is still present qgis-providers has a dependency on 

qtbase-abi-5-11-0 package which does not exist any more on buster.

I have also  checked the nightly builds that have the same problem

Check again.  The packages are not instantly available.

# apt-cache policy qgis-providers

qgis-providers:

  Installed: 1:3.4.0+15buster

  Candidate: 1:3.4.0+15buster

  Version table:

 *** 1:3.4.0+15buster 500

        500 http://qgis.org/debian buster/main amd64 Packages

        100 /var/lib/dpkg/status

     2.18.24+dfsg-1 500

        500 http://approx:9999/main buster/main amd64 Packages

# dpkg -s qgis-providers

Package: qgis-providers

Status: install ok installed

Priority: optional

Section: science

Installed-Size: 9621

Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>

Architecture: amd64

Source: qgis

Version: 1:3.4.0+15buster

Replaces: qgis (<= 1.6)

Depends: qgis-providers-common (= 1:3.4.0+15buster), libqt5sql5-sqlite, libqca-qt5-2-plugins, libc6 (>= 2.15), libexpat1 (>= 2.0.1), libgcc1 (>=

1:3.0), libgdal20 (>= 2.2.0), libgeos-c1v5 (>= 3.4.2), libhdf5-100, libnetcdf13 (>= 3.6.1), libpq5, libproj13 (>= 4.8.0), libqca-qt5-2 (>= 2.0.2),

libqgis-core3.4.0, libqgis-gui3.4.0, libqgis-native3.4.0, libqscintilla2-qt5-13 (>= 2.8.4), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.11.0~rc1),

libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.3.0), libqt5keychain1 (>= 0.7.0), libqt5network5 (>= 5.0.2), libqt5positioning5 (>= 5.6.0),

libqt5printsupport5 (>= 5.0.2), libqt5qml5 (>= 5.0.2), libqt5quick5 (>= 5.0.2), libqt5quickwidgets5 (>= 5.3.0), libqt5serialport5 (>= 5.4.1), libqt5sql5

(>= 5.7.0), libqt5svg5 (>= 5.6.0~beta), libqt5webkit5 (>= 5.6.0~rc), libqt5widgets5 (>= 5.2.0~alpha1), libqt5xml5 (>= 5.0.2), libqwt-qt5-6 (>=

6.1.2), libspatialindex4v5 (>= 1.8.1), libspatialite7 (>= 4.2.0), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 5.2), libsz2, libzip4 (>= 0.10), ocl-icd-libopencl1

| libopencl1,

  qtbase-abi-5-11-2, zlib1g (>= 1:1.1.4)

Breaks: qgis (<= 1.6)

Description: collection of data providers to QGIS

 QGIS is a Geographic Information System (GIS) which manages, analyzes and

 display databases of geographic information.

 .

 This package contains the provider plugins for QGIS.

Homepage: http://qgis.org/

#6 - 2018-10-28 10:00 AM - Benoît Vinot

Hi,
There is always a few days between the update of Qt and the update of QGIS for Debian buster repositories. I have successfully updated QGIS and Qt

today.

#7 - 2018-10-28 10:53 AM - Gerard OpenSideFlanker

Many many thanks works like a charm !

The "about"  is copied here.

best regards thanks again

Version de QGIS 3.4.0-Madeira

Révision du code 4a4b62e

Compilé avec Qt 5.11.2

Utilisant Qt 5.11.2

Compilé avec GDAL/OGR 2.3.2

Utilisé avec GDAL/OGR 2.3.2

Compilé avec GEOS 3.7.0-CAPI-1.11.0

Utilisé avec GEOS 3.7.0-CAPI-1.11.0 673b9939

Version du client PostgreSQL 10.5 (Debian 10.5-1)

Version de SpatiaLite 4.3.0a

Version de QWT 6.1.3

Version de QScintilla2 2.10.4

Compilé avec PROJ 520

Fonctionne avec PROJ 5.2.0

#8 - 2019-01-07 11:46 AM - Micha Silver

Benoît Vinot wrote:

Hi,

There is always a few days between the update of Qt and the update of QGIS for Debian buster repositories. I have successfully updated QGIS and

Qt today.

Some weeks ago QGIS reached 3.4.3 but a routine apt update on debian buster removed qgis due to the same dependency failure for qtbase-abi. It's

been more than a few days.

Currently the only work around that I can see is to apt-get purge qgis* then change the repository to debian-ltr and revert back to QGIS 2.18.x  :-(

#9 - 2019-01-10 06:45 PM - Jürgen Fischer

Micha Silver wrote:

Some weeks ago QGIS reached 3.4.3 but a routine apt update on debian buster removed qgis due to the same dependency failure for qtbase-abi.

It's been more than a few days.

Just installed 1:3.4.3+git20190109+b557cc2+15buster (ie. 3 commits behind current release-3_4 branch) from http://qgis.org/debian-nightly-release on

buster without issues.
